.TH "Chart" "3-PerfW" "Feb. 13, 1989" "Version 1.0" "Performance Widgets"
.ad b
.ne 4
.SH NAME
Chart \- A strip chart widget
.ne 4
.SH CLASS HIERARCHY
.br
Core
.ne 4
.SH NEW RESOURCES
.br
.TS
tab(:);
lB lB lB lB.
Name:Type:Default:Description
.T&
lB l l l.
XtNautoscale:Boolean:TRUE:dynamically scale chart
XtNbackground:Pixel:white:background pixel color
XtNdata:Pixel:"black":chart color
XtNinfoline:Boolean:TRUE:show current plot point
XtNmarker:Pixel:"red":color of current plot line
XtNpassive:Boolean:FALSE:passive update
XtNscale:Int:100:initial scale
XtNtext:Pixel:"blue":text color
XtNtitle:String:NULL:widget label
XtNupdate:Int:1000:update interval (milliseconds)
XtNselect:XtCallbackList:NULL:callbacks for chart selection
.TE
.SH TRANSLATIONS
.br
.TS
tab(:);
l l.
<Btn1Down>:select()
<Btn1Up>:notify()
.TE
.ne 4
.SH ACTIONS
.br
.TS
tab(:);
l l.
select:records current chart value
notify:invokes the chart select callbacks
.TE
.ne 4
.SH PUBLIC FUNCTIONS
.br
.nf
void \fBChartAddValue\fP(w,v)
ChartWidget w;
unsigned int v;
.fi
.sp
ChartAddValue() adds the value v to the list of points displayed.
The chart display is automatically updated.
.sp
.ne 4
.SH INHERITABLE FUNCTIONS
.br
None.
.ne 4
.SH DESCRIPTION
.br
The \fBChart\fR widget manages a rectangular strip chart display
in a horizontal orientation.
The current value of the chart is mapped to the corresponding level in
the display.
The chart can dynamically scale based on the maximum value encountered.

Clicking the left mouse button on a chart invokes a callback function
with the current value (the value identified by the marker) of the chart.
.ne 4
.SH FUTURE ENHANCEMENTS
.br
Two callbacks may be supported in the future.
Clicking the middle mouse button will return value in the chart
range closest to the mouse position.
Clicking the right mouse button will reset the chart value to zero.
.ne 4
.SH AUTHORS
.br
.nf
Brian K. Totty, \fItotty@cs.uiuc.edu\fR
Daniel A. Reed, \fIreed@cs.uiuc.edu\fR
Department of Computer Science
University of Illinois
.fi
