/*
 * This file is part of the Pablo Performance Analysis Environment
 *
 *                                           TM
 * The Pablo Performance Analysis Environment   software is *not* in
 * the public domain.  However, it is freely available without fee for
 * education, research, and non-profit purposes.  By obtaining copies
 * of this and other files that comprise the Pablo Performance Analysis
 * Environment, you, the Licensee, agree to abide by the following
 * conditions and understandings with respect to the copyrighted software:
 * 
 * 1.  The software is copyrighted in the name of the Board of Trustees
 *     of the University of Illinois (UI), and ownership of the software
 *     remains with the UI. 
 *
 * 2.  Permission to use, copy, and modify this software and its documentation
 *     for education, research, and non-profit purposes is hereby granted
 *     to Licensee, provided that the copyright notice, the original author's
 *     names and unit identification, and this permission notice appear on
 *     all such copies, and that no charge be made for such copies.  Any
 *     entity desiring permission to incorporate this software into commercial
 *     products should contact:
 *
 *          Professor Daniel A. Reed                 reed@cs.uiuc.edu
 *          University of Illinois
 *          Department of Computer Science
 *          2413 Digital Computer Laboratory
 *          1304 West Springfield Avenue
 *          Urbana, Illinois  61801
 *          USA
 *
 * 3.  Licensee may not use the name, logo, or any other symbol of the UI
 *     nor the names of any of its employees nor any adaptation thereof in
 *     advertizing or publicity pertaining to the software without specific
 *     prior written approval of the UI.
 *
 * 4.  THE UI MAKES NO REPRESENTATIONS ABOUT THE SUITABILITY OF THE
 *     SOFTWARE FOR ANY PURPOSE.  IT IS PROVIDED "AS IS" WITHOUT EXPRESS
 *     OR IMPLIED WARRANTY.
 *
 * 5.  The UI shall not be liable for any damages suffered by Licensee from
 *     the use of this software.
 *
 * 6.  The software was developed under agreements between the UI and the
 *     Federal Government which entitle the Government to certain rights.
 *
 **************************************************************************
 *
 * Developed by: The TAPESTRY Parallel Computing Laboratory
 *		 University of Illinois at Urbana-Champaign
 *		 Department of Computer Science
 *		 1304 W. Springfield Avenue
 *		 Urbana, IL	61801
 *
 * Copyright (c) 1987-1994
 * The University of Illinois Board of Trustees.
 *	All Rights Reserved.
 *
 * Author: Allen D. Malony (malony@uicsrd.csrd.uiuc.edu)
 * Project Manager and Principal Investigator:
 *	Daniel A. Reed (reed@cs.uiuc.edu)
 *
 * Funded by: National Science Foundation grants NSF CCR86-57696,
 * NSF CCR87-06653 and NSF CDA87-22836 (Tapestry), NASA ICLASS Contract
 * No. NAG-1-613, DARPA Contract No. DABT63-91-K-0004, by a grant
 * from the Digital Equipment Corporation External Research Program,
 * and by a collaborative research agreement with the Intel Supercomputer
 * Systems Division.
 *
 */
/*
 *	$Header: /mnt/Pablo-guitar/Stable.2-94/Visual/Src/Widgets/graph/Demo/RCS/bitmaps.h,v 1.6 1994/02/25 04:46:06 aydt Exp $
 */

#define BITMAPNUM	10
#define BITMAPWIDTH	16
#define BITMAPHEIGHT	16

static char bitmaps [ BITMAPNUM ] [ BITMAPWIDTH + BITMAPHEIGHT ] = {
   {0x20, 0x20, 0x01, 0x81, 0x00, 0x00, 0x09, 0x00, 0x80, 0x44, 0x00, 0x00,
      0x04, 0x90, 0x20, 0x00, 0x01, 0x01, 0x10, 0x00, 0x00, 0x08, 0x04, 0x81,
      0x00, 0x00, 0x20, 0x04, 0x00, 0x80, 0x84, 0x10},
   {0x89, 0xa1, 0x20, 0x08, 0x4b, 0x81, 0x20, 0x05, 0x15, 0x24, 0x00, 0x90,
      0x40, 0x0a, 0x15, 0x00, 0x50, 0x80, 0x04, 0x08, 0x42, 0x21, 0x05, 0x90,
      0x0a, 0x52, 0x00, 0x00, 0x28, 0x22, 0x91, 0x94},
   {0x29, 0x22, 0xa8, 0x86, 0x88, 0x68, 0x56, 0x1a, 0x01, 0x92, 0x08, 0x00,
      0x15, 0x98, 0xac, 0x0a, 0x05, 0x90, 0x20, 0x21, 0x01, 0x04, 0x32, 0x22,
      0x87, 0x85, 0x12, 0x50, 0x21, 0x8a, 0xb1, 0xb2},
   {0xac, 0xd5, 0x40, 0xe9, 0x0e, 0xcc, 0x05, 0x33, 0x1e, 0x58, 0x88, 0xec, 
      0x6b, 0x08, 0x3a, 0xe5, 0x09, 0x12, 0x04, 0x80, 0x3c, 0x71, 0xa2, 0x5b, 
      0x4c, 0x41, 0x1d, 0x4b, 0xa3, 0x70, 0x21, 0x58},
   {0x96, 0x7a, 0x52, 0x86, 0xfd, 0x5c, 0x4b, 0x57, 0x68, 0x4d, 0xf3, 0xf5,
      0x27, 0x2f, 0xa4, 0xd4, 0x7c, 0x8b, 0xa9, 0x99, 0xd1, 0x35, 0x42, 0x35,
      0x15, 0xbc, 0x7c, 0x65, 0xb5, 0x7f, 0xcf, 0xd0},
   {0x2d, 0xbb, 0x22, 0x4d, 0xda, 0x29, 0x7d, 0xf5, 0x8a, 0x50, 0xd5, 0x2b,
      0x3c, 0x86, 0xa3, 0xf5, 0x23, 0xa2, 0xec, 0xcc, 0x93, 0x42, 0x4d, 0x2f,
      0xfa, 0x72, 0xb5, 0x57, 0x6a, 0xb3, 0x5a, 0x5d},
   {0x75, 0xef, 0x7f, 0xfb, 0xfd, 0xad, 0x27, 0xfd, 0xea, 0xdb, 0xaf, 0xcf,
      0xfb, 0x9b, 0xf7, 0xde, 0xdc, 0xff, 0xff, 0x75, 0xbb, 0xef, 0xd5, 0xd6,
      0xdb, 0xfd, 0x7e, 0x5f, 0xb7, 0xf6, 0x5e, 0xbb},
   {0xf7, 0xce, 0xba, 0xff, 0xed, 0xd5, 0x7f, 0xbf, 0xfb, 0xf7, 0xad, 0xdf,
      0x7f, 0x77, 0xdf, 0xfd, 0xfd, 0xfb, 0x77, 0xaf, 0xeb, 0xfb, 0xfe, 0xfe,
      0xb3, 0x57, 0x7e, 0xed, 0xeb, 0xfe, 0x7f, 0xf7},
   {0xf5, 0xaf, 0xff, 0xdf, 0xfe, 0xfb, 0x7f, 0xff, 0xdf, 0xf7, 0x7f, 0xff,
      0xfd, 0xdf, 0xff, 0xff, 0xf7, 0xed, 0xff, 0xff, 0x7f, 0xef, 0xf7, 0xff,
      0xff, 0x7f, 0xff, 0xff, 0xbf, 0xfb, 0xfd, 0xef},
   {0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
      0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
      0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff}
};
