.TH "Kiviat" "3 PerfW" "Jan. 1, 1990" "Version 1.0" "Performance Widgets"
.ad b
.ne 4
.SH NAME
Kiviat \- A kiviat widget.
.ne 4
.SH CLASS HIERARCHY
.br
Core
.ne 4
.SH NEW RESOURCES
.br
.TS
tab(:);
lB lB lB lB.
Name:Type:Default:Description
.T&
lB l l l.

XtNaxisColor:Pixel:"black":kiviat axis color
XtNfaceBorderColor:Pixel:"black":face border color
XtNfill:Boolean:TRUE:fill kiviat region
XtNfillColor:Pixel:"black":fill color
XtNhistory:Boolean:TRUE:show historical maximum values
XtNmaxHistory:Boolean:FALSE:show historal maximum(TRUE) or average (FALSE)
XtNhistoryColor:Pixel:"sky blue":history color
XtNmaxValue:int:100:maximum axis value
XtNminValue:int:0:minimum axis value
XtNnumAxes:int:6:number of kiviat axes
XtNselect:XtCallbackList:NULL:callbacks for kiviat selection
.TE
.ne 4
.SH TRANSLATIONS
.br
.TS
tab(:);
l l.
<Btn1Down>:select()
<Btn1Up>:notify()
.TE
.ne 4
.SH ACTIONS
.br
.TS
tab(:);
l l.
select:records the nearest kiviat value
notify:invokes the kiviat select callbacks with recorded value
.TE
.ne 4
.SH PUBLIC FUNCTIONS
.br
.nf
.ta 3i
void \fBKiviatSetValues\fR(w, v)
KiviatWidget w;
int *v;
.fi
.sp
KiviatSetValues() set the current values of the kiviat, one for each
axis, to v.  The kiviat display is automatically updated.
.ne 4
.SH DESCRIPTION
.br
The \fBKiviat\fR widget manages a kiviat diagram of the number of
specified axes.
A kiviat diagram is shown as a polygon of connected values on each
axis.
The polygon region can be optionally filled by a color.
There are color resources for all components of the kiviat, including
the history values.
.PP
Clicking the left mouse button on a kiviat diagram invokes a callback function
with the value of the kiviat nearest the mouse click. 
.ne 4
.SH FUTURE ENHANCEMENTS
.br
The following resources will be added in the future:
.sp
.TS
tab(:);
lB lB lB lB.
Name:Type:Default:Description
.T&
lB l l l.

XtNfillPixmap:Pixmap:None:fill pixmap
.TE
.sp
The kiviat region will be optionally filled by a pixmap.
.ne 4
.SH FUTURE ENHANCEMENTS
.br
An additional callback may be supported in the future.
Clicking the middle mouse button will set the kiviat to the mouse position.
.ne 4
.SH AUTHOR
.br
.nf
Allen Malony, \fImalony@csrd.uicsrd.uiuc.edu\fR
Center for Supercomputing Research and Development,
University of Illinois
.fi
.ne 4
.SH COMMENTS
All comments and suggestions should be directed to the author.
