.TH "Polar" "3 PerfW" "Feb 20, 1991" "Version 1.0" "Performance Widgets"
.ad b
.ne 4
.SH NAME
Polar \- A polar widget.
.ne 4
.SH CLASS HIERARCHY
.br
Core
.ne 4
.SH NEW RESOURCES
.br
.TS
tab(:);
lB lB lB lB.
Name:Type:Default:Description
.T&
lB l l l.

XtNaxisColor:Pixel:"black":axis and circle color
XtNfaceBorderColor:Pixel:"black":face border color
XtNmagnitude:int:100:maximum polar magnitude value
XtNnumAxes:int:8:number of polar axes
XtNnumCircles:int:4:number of polar circles
XtNpointColor:Pixel:"black":color of data points
XtNmarkerSize:int:2:size of data point markers
XtNselect:XtCallbackList:NULL:callbacks for polar selection
.TE
.ne 4
.SH TRANSLATIONS
.br
.TS
tab(:);
l l.
<Btn1Down>:select()
<Btn1Up>:notify()
.TE
.ne 4
.SH ACTIONS
.br
.TS
tab(:);
l l.
select:records the nearest data point in the polar plot
notify:invokes the polar select callbacks with recorded value
.TE
.ne 4
.SH PUBLIC FUNCTIONS
.br
.nf
.ta 3i
void \fBPolarSetValues\fR(w, pointCount, xvalues, yvalues)
PolarWidget w;
int pointCount;
int *xvalues;
int *yvalues;
.fi
.sp
PolarSetValues() sets the current values of the polar plot.
The polar plot is automatically updated.
.ne 4
.SH DESCRIPTION
.br
The \fBPolar\fR widget manages a polar plot of the number of
specified axes and circles.
The data points are automatically transformed from rectangular to polar
coordinates.
There are color resources for all components of the polar.
.PP
Clicking the left mouse button on a polar diagram invokes a callback function
with the value nearest the mouse click. 
.ne 4
.SH FUTURE ENHANCEMENTS
.br
None are planned.
.ne 4
.SH AUTHOR
.br
.nf
Daniel A. Reed, \fIreed@cs.uiuc.edu\fR
Department of Computer Science
University of Illinois
.fi
.ne 4
.SH COMMENTS
All comments and suggestions should be directed to the author.
